package com.zipcodewilmington.froilansfarm.Animals;

import com.zipcodewilmington.froilansfarm.Crops.EarOfCorn;
import com.zipcodewilmington.froilansfarm.Crops.Egg;
import com.zipcodewilmington.froilansfarm.Crops.Food;
import com.zipcodewilmington.froilansfarm.Crops.Tomato;
import com.zipcodewilmington.froilansfarm.Edible;

public class Chicken extends Animal {

    public Chicken() {
        this.energyLevel = 30;
    }

    public void layAnEgg() {

        if(energyLevel > 20) {
            energyLevel = energyLevel - 20;
            System.out.println("Egg laid!");
            Egg.addEgg(1);
        } else {
            System.out.println("Not enough energy to produce eggs.");
        }
    }


    public void eat(Food item, int numb) {

        int energyIncrease = 0;
        boolean enough = false;
        if(item instanceof EarOfCorn) {
            enough = EarOfCorn.eatCorn(numb);
            if(enough) energyIncrease = 15 * numb;
        } else if (item instanceof Tomato) {
            enough = Tomato.eatTomato(numb);
            if(enough) energyIncrease = 12 * numb;
        } else {
            System.out.println("Are you sure what you ate is food?");;
        }

        setEnergyLevel(getEnergyLevel() + energyIncrease);

    }


    public void makeNoise() {
        System.out.println("Cluck cluck");
    }
}
