package com.zipcodewilmington.froilansfarm.Animals;

import com.zipcodewilmington.froilansfarm.Crops.EarOfCorn;
import com.zipcodewilmington.froilansfarm.Crops.Food;

public class Horse extends Animal{

    boolean ridenToday = false;

    public Horse() {
        this.energyLevel = 60;
        this.ridenToday = false;
    }

    public void eat(Food item, int numb) {

        int energyIncrease = 0;
        boolean enough = false;
        if(item instanceof EarOfCorn) {
            enough = EarOfCorn.eatCorn(numb);
            if(enough) energyIncrease = 15 * numb;
        } else {
            System.out.println("Horses like corn.");;
        }

        setEnergyLevel(getEnergyLevel() + energyIncrease);

    }

    public void setRidenToday(boolean ridenToday) {
        this.ridenToday = ridenToday;
    }

    public void makeNoise() {
        System.out.println("Neh!");
    }

    public void rode() {
        if(getEnergyLevel() < 20) {
            System.out.println("The horse does not have enough energy to give you a ride");
        } else {
            System.out.println("Hop on up!");
            this.ridenToday = true;
        }
    }

    public boolean rodeToday() {
        return ridenToday;
    }
}
