package com.zipcodewilmington.froilansfarm.Crops;

import com.zipcodewilmington.froilansfarm.Edible;
import com.zipcodewilmington.froilansfarm.Fertilizable;

public class Egg extends Food implements Edible, Fertilizable {

    boolean fertilized = false;
    boolean edible = true;
    static int amount = 0;

    public Egg() {
        this.edible = true;
        this.fertilized = false;
        this.amount = 0;
    }


    public boolean isEdible() {
        return this.edible;
    }

    public void fertilize() {
        this.fertilized = true;
        this.edible = false;
    }

    public static int getAmount() {
        return amount;
    }

    public static void addEgg(int numb) {
        amount += numb;
    }

    public static boolean eatEgg(int numb) {

        if(amount > 0) {
            amount -= numb;
            return true;
        } else {
            System.out.println("Not enought corn, grow more.");
            return false;
        }
    }
}
