package com.zipcodewilmington.froilansfarm.PartsOfFarm;

import com.zipcodewilmington.froilansfarm.Animals.Horse;

import java.util.ArrayList;

public class Stable {

    String name;
    ArrayList<Horse> horses;
    int sizeOfStable = 0;

    public Stable(String name) {

        this.name = name;
        this.horses = new ArrayList<Horse>();
        this.sizeOfStable = 0;
    }

    public ArrayList<Horse> getHorses() {
        return horses;
    }

    public String horsesRideStatus() {

        String status = "";

        for(Horse h : this.horses) {
            if(!h.rodeToday()) {
                status = "Not all the horses in " + this.name + " have been ridden today.\n";
            } else {
                status = "All horses in " + this.name + " have been ridden today.\n";
            }
        }

        return status;
    }

    public void addHorse(Horse horse) {

        this.horses.add(horse);
        this.sizeOfStable++;
    }

}
